library(shipunov)

dna <- read.table("../../../../data/picramniaceae_dna.txt", sep="\t", h=TRUE, as.is=TRUE)

dna <- dna[dna$SELECT == 1 | is.na(dna$SELECT), ]
dna <- dna[dna$SOURCE %in% "MISU", ]
row.names(dna) <- NULL

split.ids <- c(suppressWarnings(do.call(rbind, strsplit(dna$SEQUENCE.ID, ", "))))
long.dna <- data.frame(ID=split.ids, dna[, c("SPECIES.NEW", "FRAGMENT", "SEQUENCE")])
long.dna <- unique(long.dna)

ff <- function(x) {
if(x == "its") res <- "5.8S ribosomal RNA gene, partial sequence; internal transcribed spacer 2, complete sequence; and large subunit ribosomal RNA gene, partial sequence"
if(x == "rbcl") res <- "ribulose-1,5-bisphosphate carboxylase/oxygenase large subunit (rbcL) gene, partial cds; chloroplast"
if(x == "trnl") res <- "trnT-L IGS (partial), tRNA-Leu gene (partial) and trnL-F IGS (partial)"
res
}

dnas <- split(long.dna[, c("SPECIES.NEW", "ID", "SEQUENCE", "FRAGMENT")], long.dna$FRAGMENT)
for (s in names(dnas)) {
 subs <- dnas[[s]]
 subs$ID <- apply(subs[, c("ID", "SPECIES.NEW", "FRAGMENT")], 1,
  function(.x) paste0(.x[1], "_", .x[3], " [organism=", .x[2], "] ", " [Isolate=", .x[1], "] ", ff(.x[3])))
 subs <- subs[, c("ID", "SEQUENCE")]
 Write.fasta(subs, file=paste0(s, ".fasta"))
}
