library(ape)
library(shipunov)
source("data/make_treesc.r")

DIR <-  dir("data")
trees <- c("semistrict_mb")
for(t in trees) {
assign(t, read.tree(paste0("data/",  DIR[grepl(t, DIR)])))
}
tree <- semistrict_mb
tree$node.label[tree$node.label == "NA"] <- ""

## classification table for treecl
cl <- read.table("data/picramniaceae_treecl_classif.txt", sep="\t", quote="", as.is=T)

## collapsing to subgenera and above clades
tree <- Make.treesc(list(tree))[[1]]
tree <- drop.tip(tree, c("Leitneria floridana", "Talisia nervosa", "Kirkia acuminata"))
pdf("data/picramniaceae_treecl.pdf")
Plot.phylocl(tree, cl, strict=FALSE, no.margin=TRUE, ct.off=0.2)
dev.off()
