classif <- system("grep -E '/[12].[0-9]|\\SYN {' ../classif/picramniaceae.tex", intern=T)

GENUS <- ifelse(grepl("2\\.0", classif), gsub("[^ ]* ([^ ]*) .*$", "\\1", classif), "")
SPECIES <- ifelse(grepl("1\\.0", classif), gsub(".*\\{(.*)\\}.*$", "\\1", classif), "")
SPECIES[GENUS != ""] <- NA
SYNONYMS <- ifelse(grepl("\\SYN", classif), gsub(".*\\{([^}]*)\\}.*$", "\\1", classif), NA)

sp <- data.frame(GENUS, SPECIES, SYNONYMS, stringsAsFactors=F)

for(a in 1:2) {
 while(length(ind <- which(sp[[a]] == "")) > 0) sp[[a]][ind] <- sp[[a]][ind-1]
}

sp <- sp[!is.na(sp$SPECIES), ]

treesp <- read.table("../../data/picramniaceae_treesp.txt", sep="\t", h=T, as.is=T)
outgroup <- treesp["SPECIES.NEW"][treesp$TYPE == "outgroup", , drop=F]
names(outgroup) <- "SPECIES"
outgroup$GENUS <- do.call(rbind, strsplit(outgroup$SPECIES, split=" "))[, 1]
outgroup$SYNONYMS <- NA

sp <- rbind(sp, outgroup)

write.table(sp, file="../../data/picramniaceae_sp.txt", row.names=F, quote=F, sep="\t")
