dna <- read.table("../../data/picramniaceae_dna.txt", sep="\t", h=T, as.is=T, quote="")
samples <- read.table("../../data/picramniaceae_samples.txt", sep="\t", h=T, as.is=T)
treesp <- read.table("../../data/picramniaceae_treesp.txt", sep="\t", h=T, as.is=T)

sp <- read.table("../../data/picramniaceae_sp.txt", sep="\t", h=T, as.is=T)

## sp check
cat("picramniaceae dna not in sp:\n", paste0(sort(setdiff(dna$SPECIES.NEW, sp$SPECIES)), "\n"), "\n")
cat("picramniaceae samples not in sp:\n", paste0(sort(setdiff(samples$SPECIES.NEW, sp$SPECIES)), "\n"), "\n")
cat("picramniaceae treesp not in sp:\n", paste0(sort(setdiff(treesp$SPECIES, sp$SPECIES)), "\n"), "\n")

## samples check
our <- dna[dna$SOURCE == "MISU", ]
our.ids1 <- suppressWarnings(do.call(rbind, strsplit(our$SEQUENCE.ID.ORIG, split=",")))
our.ids2 <- gsub("^ | $", "",  our.ids1)
our.ids <- unique(sort(c(our.ids2)))
our.sp.ids <- unique(sort(paste(our$SPECIES.NEW, c(our.ids2), sep="__")))
samples.sp.ids <- unique(sort(paste(samples$SPECIES.NEW, samples$SAMPLE, sep="__")))
samples.ids <- unique(sort(c(samples$SAMPLE)))

cat("picramniaceae our ids not in samples ids:\n", paste0(sort(setdiff(our.ids, samples.ids)), "\n"), "\n")
cat("picramniaceae our sp__ids not in samples sp__ids:\n", paste0(sort(setdiff(our.sp.ids, samples.sp.ids)), "\n"), "\n")

